Bug 744150 - yum's RepoStorage api causes attribute error
Summary: yum's RepoStorage api causes attribute error
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: yum
Version: 6.2
Hardware: Unspecified
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: James Antill
QA Contact: BaseOS QE Security Team
URL:
Whiteboard:
: 743916 (view as bug list)
Depends On: 727574
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-07 09:09 UTC by RHEL Product and Program Management
Modified: 2014-01-21 06:24 UTC (History)
9 users (show)

Fixed In Version: yum-3.2.29-17.el6_1.1
Doc Type: Bug Fix
Doc Text:
Previously, the Pulp application used the RepoStorage API directly outside of the YumBase class, therefore certain attributes were not set as expected. As a consequence, users experienced attributes errors when using the Pulp server to manage their software repositories. With this update, RepoStorage has been modified to include the condition that verifies and sets these attributes. These attributes errors occur no more when using Pulp.
Clone Of:
Environment:
Last Closed: 2011-10-26 07:27:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:1403 normal SHIPPED_LIVE yum bug fix update 2011-10-26 07:27:15 UTC

Description RHEL Product and Program Management 2011-10-07 09:09:57 UTC
This bug has been copied from bug #727574 and has been proposed
to be backported to 6.1 z-stream (EUS).

Comment 4 Jiri Pallich 2011-10-07 11:11:00 UTC
*** Bug 743916 has been marked as a duplicate of this bug. ***

Comment 7 Karel Srot 2011-10-18 06:59:45 UTC
Hi Pradeep and Todd,
this should be fixed with yum-3.2.29-17.el6_1.1. Could you please confirm?
Thank you in advance.

Comment 9 Miroslav Svoboda 2011-10-25 15:21:48 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the Pulp application used the RepoStorage API directly outside of the YumBase class, therefore certain attributes were not set as expected. As a consequence, users experienced attributes errors when using the Pulp server to manage their software repositories. With this update, RepoStorage has been modified to include the condition that verifies and sets these attributes. These attributes errors occur no more when using Pulp.

Comment 10 errata-xmlrpc 2011-10-26 07:27:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2011-1403.html


Note You need to log in before you can comment on or make changes to this bug.